incubator-easyant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Louis Boudart <jeanlouis.boud...@gmail.com>
Subject Re: Backward compatibility
Date Wed, 16 Mar 2011 15:27:36 GMT
+1 as soon as we document in the release note how to migrate existing
module.ant / plugins.

Le 15 mars 2011 23:22, Nicolas Lalevée <nicolas.lalevee@hibnet.org> a écrit
:

> Hi guys,
>
> I think that some of the coming changes of the next release will probably
> break the backward compatibility. I am thinking of the introduction of the
> extension point in favor of the phases. And probably too if we change the
> way plugins dependencies are declared (I'll discuss that in in another
> thread).
>
> I think that functionally speaking, everything should be kept quite
> identical between the 0.8 and the next 0.9. But probably any module.ant in
> the wild will probably not work anymore. Is everybody OK with that ?
>
> Nicolas
>
>


-- 
Jean Louis Boudart
Independent consultant
Project Lead http://www.easyant.org

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message